import { ComponentFactoryResolver, OnInit } from "@angular/core";
import { CustomDirective } from "./custom.directive";
import { CustomContainerPageElement } from "./custom-container-page-element";
import { PageElement } from "../page-element";
import * as i0 from "@angular/core";
export declare class CustomContainerComponent implements OnInit {
    private componentFactoryResolver;
    pageElement: CustomContainerPageElement;
    customDirective: CustomDirective;
    constructor(componentFactoryResolver: ComponentFactoryResolver);
    ngOnInit(): void;
    loadComponent(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CustomContainerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CustomContainerComponent, "path-custom-container-component", never, { "pageElement": "pageElement"; }, {}, never, never>;
}
export declare class CustomPageElement {
    private _pageElement;
    get pageElement(): PageElement;
    set pageElement(value: PageElement);
}
